summary refs log tree commit diff
path: root/git-new-repo
diff options
context:
space:
mode:
Diffstat (limited to 'git-new-repo')
-rwxr-xr-xgit-new-repo31
1 files changed, 31 insertions, 0 deletions
diff --git a/git-new-repo b/git-new-repo
new file mode 100755
index 0000000..ef5fead
--- /dev/null
+++ b/git-new-repo
@@ -0,0 +1,31 @@
+#! /usr/bin/env bash
+#
+# usage:
+# git new-repo section/repo-name
+# 
+# example:
+# git new-repo fonts/scientifica
+# creates: user@remote:fonts/scientifica
+#
+# script written by Akshay and seen on
+# <https://peppe.rs/posts/self-hosting_git/>
+# and gently modified by me
+# (added the echo and got carried away with colour)
+
+HOST=gen@quartet
+CGIT_ROOT=git
+
+if [ $# -eq 0 ]; then
+    echo "requires an arg"
+    exit 1
+fi
+
+IBlack="\033[0;90m"
+White="\033[0;37m"
+Yellow="\033[0;33m"
+Reset="\033[0m"
+
+echo -en "${IBlack}"
+ssh $HOST git init --bare "$CGIT_ROOT/$1";
+echo -e "${White}Add it as remote 'origin' with the command"
+echo -e "${IBlack}$ ${Yellow}git remote add origin ${HOST}:$CGIT_ROOT/$1${Reset}"